@extends('layouts.app')

@section('content')
<div class="container">
    <h3>
        {{ $directory->name }}
    </h3>
    <table class="table table-condensed">
        @if($directory->id != 1)
        <tr>
            <td>
                <a href="{{ route("browse", ["path" => $directory->parent->path()]) }}"
                   alt="up">
                       ..
                </a>
            </td>
            <td></td>
            <td></td>
            <td></td>
            <td class="text-right"></td>
        </tr>
        @endif

        @foreach ($directory->subdirectories as $subdir)
        <tr>
            <td>
                <a href="{{ route("browse", ["path" => $subdir->path()]) }}">
                    <i class="fas fa-folder"></i>
                    {{ $subdir->name }}
                </a>
            </td>
            <td></td>
            <td></td>
            <td></td>
            <td class="text-right"></td>
        </tr>
        @endforeach

        @foreach ($directory->files as $file)
        <tr>
            <td>
                <a href="{{ $file->downloadUrl() }}">
                    <i class="fas fa-file"></i>
                    {{ $file->name }}
                </a>
            </td>
            <td>{{ $file->downloads }} downloads</td>
            <td>{{ $file->sizeHuman() }}</td>
            <td>{{ $file->ageHuman() }}</td>
            <td class="text-right">
                <a class="btn btn-sm btn-primary"
                   href="{{ $file->downloadUrl() }}">
                    <i class="fas fa-download"></i> Download
                </a>
            </td>
        </tr>
        @endforeach
    </table>
</div>
@endsection
